Package org.apache.sling.distribution.journal

## Class ExceptionEventSender

- java.lang.Object
- - org.apache.sling.distribution.journal.ExceptionEventSender

    public class ExceptionEventSender
    extends Object

This is used by the journal adapter to send events for exceptions that happen when distribution talks to the journal.

### Field Summary

Fields
`static String` `ERROR_TOPIC`
`static String` `KEY_ERROR_CODE`
`static String` `KEY_MESSAGE`
`static String` `KEY_TYPE`

### Constructor Summary

Constructors
`ExceptionEventSender​(org.osgi.service.event.EventAdmin eventAdmin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `send​(Exception e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERROR_TOPIC

    public static final String ERROR_TOPIC

See Also:
  Constant Field Values

#### KEY_MESSAGE

    public static final String KEY_MESSAGE

See Also:
  Constant Field Values

#### KEY_TYPE

    public static final String KEY_TYPE

See Also:
  Constant Field Values

#### KEY_ERROR_CODE

    public static final String KEY_ERROR_CODE

See Also:
  Constant Field Values

### Constructor Detail

#### ExceptionEventSender

    public ExceptionEventSender​(@Nullable
                                org.osgi.service.event.EventAdmin eventAdmin)

### Method Detail

#### send

    public void send​(Exception e)